Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001714Double CommanderViewerpublic2017-01-29 05:252017-05-06 13:04
Reportercordylus 
Assigned ToAlexx2000 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
ProjectionnoneETAnone 
PlatformOSOS Version
Product VersionProduct Build 
Target Version0.8.0Fixed in Version0.8.0 
Summary0001714: When opening a search window in the viewer, search field should be filled with currently selected text
DescriptionПри открытии поиска в просмотрщике заполнять автоматически поле поиска выделенным текстом.

Реализовано в просмотрщике TC, а также в разных текстовых редакторах. Собственно, даже во встроенном редакторе DC это есть, а в просмотрщике нет.
TagsNo tags attached.
Fixed in Revision7374,7525-7527
Operating system
Widgetset
Architecture
Attached Files

- Relationships

-  Notes
(0002097)
cordylus (reporter)
2017-02-21 17:30

Теперь наблюдается проблема с автодополнением, похожа на ту, что со звёздочкой была, только тут в роли звёздочки последний поисковый запрос. Воспроизводится так: поискать что-то, что будет найдено и выделится, потом поискать что-то, что не будет найдено, затем снова открыть поиск. Будет предложен не последний поисковый запрос, а последний найденный (т.к. он выделен), и нажатие вниз к последнему запросу не приводит. В TC это решено так, что при неудавшемся поиске выделение сбрасывается (курсор и прокрутка остаются на месте). Альтернативным решением может быть не закрывать окно поиска после неудавшегося поиска (сообщение "... не найден").
(0002185)
Alexx2000 (administrator)
2017-05-05 20:00

Сделал по аналогии с TC. Однако выделение очищается только если текущий поисковый запрос отличается от выделения. Таким образом при множественном поиске строки последняя найденная строка остается выделенной.

- Issue History
Date Modified Username Field Change
2017-01-29 05:25 cordylus New Issue
2017-02-10 04:38 Alexx2000 Status new => acknowledged
2017-02-10 04:38 Alexx2000 Target Version => 0.8.0
2017-02-10 21:28 Alexx2000 Fixed in Revision => 7374
2017-02-10 21:28 Alexx2000 Assigned To => Alexx2000
2017-02-10 21:28 Alexx2000 Status acknowledged => resolved
2017-02-10 21:28 Alexx2000 Resolution open => fixed
2017-02-10 21:28 Alexx2000 Fixed in Version => 0.8.0
2017-02-21 17:30 cordylus Note Added: 0002097
2017-05-04 19:39 Alexx2000 Status resolved => confirmed
2017-05-04 19:39 Alexx2000 Status confirmed => acknowledged
2017-05-05 20:00 Alexx2000 Fixed in Revision 7374 => 7374,7525
2017-05-05 20:00 Alexx2000 Note Added: 0002185
2017-05-05 20:00 Alexx2000 Status acknowledged => resolved
2017-05-05 20:35 Alexx2000 Fixed in Revision 7374,7525 => 7374,7525,7526
2017-05-05 20:52 Alexx2000 Fixed in Revision 7374,7525,7526 => 7374,7525-7527
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker